package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdTablesDTO implements Serializable {

    private static final long serialVersionUID = 857727057038454L;

    private Integer id;

    private String tableName;

    private String nativeSql;

    private String nativeKey;

    private String qualifiedNativeName;

    private String comments;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer schemaIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getTableName() {
    return tableName;
    }

        public void setTableName(String tableName) {
    this.tableName = tableName;
    }

        public String getNativeSql() {
    return nativeSql;
    }

        public void setNativeSql(String nativeSql) {
    this.nativeSql = nativeSql;
    }

        public String getNativeKey() {
    return nativeKey;
    }

        public void setNativeKey(String nativeKey) {
    this.nativeKey = nativeKey;
    }

        public String getQualifiedNativeName() {
    return qualifiedNativeName;
    }

        public void setQualifiedNativeName(String qualifiedNativeName) {
    this.qualifiedNativeName = qualifiedNativeName;
    }

        public String getComments() {
    return comments;
    }

        public void setComments(String comments) {
    this.comments = comments;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getSchemaIdFk() {
    return schemaIdFk;
    }

        public void setSchemaIdFk(Integer schemaIdFk) {
    this.schemaIdFk = schemaIdFk;
    }

}